"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _Platform = _interopRequireDefault(require("react-native-web/dist/cjs/exports/Platform"));

var _TextInput = _interopRequireDefault(require("react-native-web/dist/cjs/exports/TextInput"));

var _StyleSheet = _interopRequireDefault(require("react-native-web/dist/cjs/exports/StyleSheet"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var LoginTextInput =
/*#__PURE__*/
function (_Component) {
  _inherits(LoginTextInput, _Component);

  function LoginTextInput() {
    _classCallCheck(this, LoginTextInput);

    return _possibleConstructorReturn(this, _getPrototypeOf(LoginTextInput).apply(this, arguments));
  }

  _createClass(LoginTextInput, [{
    key: "render",
    value: function render() {
      return _react.default.createElement(_TextInput.default, _extends({}, this.props, {
        style: styles.textInput
      }));
    }
  }]);

  return LoginTextInput;
}(_react.Component);

exports.default = LoginTextInput;
LoginTextInput.propTypes = {
  /** Can tell TextInput to automatically capitalize certain characters. enum('none', 'sentences', 'words', 'characters')*/
  autoCapitalize: _propTypes.default.string.isRequired,

  /** If false, disables spell-check style (i.e. red underlines). The default value is inherited from autoCorrect.*/
  spellCheck: _propTypes.default.bool,

  /** If false, disables auto-correct. The default value is true.*/
  autoCorrect: _propTypes.default.bool.isRequired,

  /** Limits the maximum number of characters that can be entered. Use this instead of implementing the logic in JS to avoid flicker.*/
  maxLength: _propTypes.default.number,

  /** The string that will be rendered before text input has been entered.*/
  placeholder: _propTypes.default.string.isRequired,

  /** The text color of the placeholder string. */
  placeholderTextColor: _propTypes.default.string.isRequired,

  /** The value to show for the text input. TextInput is a controlled component, which means the native value will be forced to match this value prop if provided. For most uses, this works great, but in some cases this may cause flickering - one common cause is preventing edits by keeping value the same. In addition to simply setting the same value, either set editable={false}, or set/update maxLength to prevent unwanted edits without flicker. */
  value: _propTypes.default.string.isRequired
};
LoginTextInput.defaultProps = {
  autoCapitalize: "none",
  spellCheck: false,
  autoCorrect: false,
  placeholderTextColor: '#FFF'
};

var styles = _StyleSheet.default.create({
  textInput: {
    color: 'white',
    height: 40,
    marginTop: 10,
    borderColor: 'white',
    borderWidth: 1,
    borderRadius: 20,
    paddingLeft: 10
  }
});