"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _Image = _interopRequireDefault(require("react-native-web/dist/cjs/exports/Image"));

var _TouchableOpacity = _interopRequireDefault(require("react-native-web/dist/cjs/exports/TouchableOpacity"));

var _View = _interopRequireDefault(require("react-native-web/dist/cjs/exports/View"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var TouchableRatingBottleCaps =
/*#__PURE__*/
function (_Component) {
  _inherits(TouchableRatingBottleCaps, _Component);

  function TouchableRatingBottleCaps(props) {
    var _this;

    _classCallCheck(this, TouchableRatingBottleCaps);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(TouchableRatingBottleCaps).call(this, props));

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "onPress1", function () {
      _this.setState({
        value: 1
      });

      _this.props.onPress(1);
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "onPress2", function () {
      _this.setState({
        value: 2
      });

      _this.props.onPress(2);
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "onPress3", function () {
      _this.setState({
        value: 3
      });

      _this.props.onPress(3);
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "onPress4", function () {
      _this.setState({
        value: 4
      });

      _this.props.onPress(4);
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "onPress5", function () {
      _this.setState({
        value: 5
      });

      _this.props.onPress(5);
    });

    _this.state = {
      value: _this.props.rating
    };
    return _this;
  }

  _createClass(TouchableRatingBottleCaps, [{
    key: "render",
    value: function render() {
      var style = {
        iconsContainer: {
          flex: 0,
          flexDirection: 'row'
        },
        icon: {
          marginLeft: 1,
          marginRight: 1,
          width: 40,
          height: 40
        }
      };

      if (this.state.value === 0) {
        return _react.default.createElement(_View.default, {
          style: style.iconsContainer
        }, _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress1
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_empty.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress2
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_empty.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress3
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_empty.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress4
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_empty.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress5
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_empty.png')
        })));
      } else if (this.state.value === 1) {
        return _react.default.createElement(_View.default, {
          style: style.iconsContainer
        }, _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress1
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_full.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress2
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_empty.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress3
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_empty.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress4
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_empty.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress5
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_empty.png')
        })));
      } else if (this.state.value === 2) {
        return _react.default.createElement(_View.default, {
          style: style.iconsContainer
        }, _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress1
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_full.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress2
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_full.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress3
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_empty.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress4
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_empty.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress5
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_empty.png')
        })));
      } else if (this.state.value === 3) {
        return _react.default.createElement(_View.default, {
          style: style.iconsContainer
        }, _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress1
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_full.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress2
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_full.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress3
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_full.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress4
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_empty.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress5
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_empty.png')
        })));
      } else if (this.state.value === 4) {
        return _react.default.createElement(_View.default, {
          style: style.iconsContainer
        }, _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress1
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_full.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress2
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_full.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress3
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_full.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress4
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_full.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress5
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_empty.png')
        })));
      } else if (this.state.value === 5) {
        return _react.default.createElement(_View.default, {
          style: style.iconsContainer
        }, _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress1
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_full.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress2
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_full.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress3
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_full.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress4
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_full.png')
        })), _react.default.createElement(_TouchableOpacity.default, {
          onPress: this.onPress5
        }, _react.default.createElement(_Image.default, {
          style: style.icon,
          source: require('./img/bc_full.png')
        })));
      } else {
        return null;
      }
    }
  }]);

  return TouchableRatingBottleCaps;
}(_react.Component);

exports.default = TouchableRatingBottleCaps;
TouchableRatingBottleCaps.propTypes = {
  /** Valid numbers from 0 till 5*/
  rating: _propTypes.default.number.isRequired,

  /** Called when the touch is released, but not if cancelled  */
  onPress: _propTypes.default.func.isRequired
};