"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _svgs = _interopRequireWildcard(require("svgs"));

var _index = require("../../colors/index");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var InnerSpinner =
/*#__PURE__*/
function (_React$Component) {
  _inherits(InnerSpinner, _React$Component);

  function InnerSpinner() {
    _classCallCheck(this, InnerSpinner);

    return _possibleConstructorReturn(this, _getPrototypeOf(InnerSpinner).apply(this, arguments));
  }

  _createClass(InnerSpinner, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          width = _this$props.width,
          height = _this$props.height,
          colorBackground = _this$props.colorBackground,
          color = _this$props.color,
          colorOpacity = _this$props.colorOpacity;
      return _react.default.createElement(_svgs.default, {
        style: {
          position: "absolute",
          justifyContent: "center",
          alignItems: "center",
          marginLeft: width / 23
        },
        width: width,
        height: height,
        viewBox: "0 0 1500 1500"
      }, _react.default.createElement(_svgs.Defs, null, _react.default.createElement(_svgs.ClipPath, {
        id: "clip-path"
      }, _react.default.createElement("circle", {
        cx: "685.47",
        cy: "746.81",
        r: "324.15",
        fill: "none"
      }))), _react.default.createElement(_svgs.Path, {
        fill: "#f4d98d",
        d: "M1009.63 750c0-179-145.13-324.15-324.16-324.15S361.32 571 361.32 750s145.13 317.65 324.15 317.65S1009.63 929 1009.63 750z"
      }), _react.default.createElement(_svgs.G, {
        clipPath: "url(#clip-path)"
      }, _react.default.createElement(_svgs.Path, {
        d: "M794.24 800.47s-13.88-11.14-16.65-49.58-14.35-197.08-14.35-197.08S791 512.06 760 491.06l-3-10.91s43.29-51.44-8-51.56l-69.14-10.44L613.37 429c-41.44 17.32-.33 49.85-.33 49.85l-3.33 12c-31.06 21-8 63-8 63s-11.57 158.65-14.34 197.08-16.65 49.58-16.65 49.58C531.64 841.56 532.18 880 532.18 880l.1 163.48 147.86 161.58v5.78l2.34-2.9 2.34 2.9v-5.78l147.87-156.25.06-168.81s.53-38.44-38.51-79.53z",
        fill: colorBackground
      }), _react.default.createElement(_svgs.G, {
        id: "g4513"
      }, _react.default.createElement("path", {
        id: "path4515",
        d: "M632.33 477.59h5.79a25.49 25.49 0 0 1 41.94 0h5.6a21.7 21.7 0 0 1 21-11 22 22 0 0 1 21.06 11h7.24a9.63 9.63 0 0 1 1.8-2.62c7.14-8.5 20.88-33.36-20.24-33.36h-65.75c-41.13 0-27.12 24.86-20.25 33.36a11.77 11.77 0 0 1 1.81 2.62",
        fill: color
      })), _react.default.createElement(_svgs.G, {
        id: "g4537"
      }, _react.default.createElement("path", {
        id: "path4539",
        d: "M631.88 550.53s-11.12 146.8-14.37 194.53c-2 28.56-5.06 42.93-12.48 56.76a89.79 89.79 0 0 1 65.36 7.23c42.57 23 89 11.84 84.51-27.66a202.11 202.11 0 0 1-5-36.15c-3.25-47.82-14.46-194.71-14.46-194.71s30.19-17.62 6.42-54.23h-21.22a9 9 0 0 1-9-9 7.6 7.6 0 0 0 0-1.08c-.32-1.55-3.18-4-4.86-3.85-1.69-.17-4.92 2.37-4.91 3.94a2.72 2.72 0 0 0 0 .9 9 9 0 0 1-9 9H673.1a9 9 0 0 1-9-9 5.46 5.46 0 0 0 0-1c-.75-2.15-2.76-4-4.43-3.84-3.26 0-5.29 3.6-5.24 3.93s0 0 0 .9a9 9 0 0 1-9 9h-20c-23.77 37 6.51 54.23 6.51 54.23",
        fill: colorOpacity
      })), _react.default.createElement(_svgs.G, {
        id: "g4549"
      }, _react.default.createElement(_svgs.Path, {
        id: "path4551",
        d: "M562 976.37a229.36 229.36 0 0 0 49.71 10.39 83.88 83.88 0 0 1 145.8 0 229 229 0 0 0 50.08-10.57v-88.68a58.79 58.79 0 0 0-3.43-19.34l-2.26 1.17h-1l-2 .91h-2.08a109.37 109.37 0 0 1-17.53 6 91.5 91.5 0 0 1-9 1.9h-4.7l-4.52.54a25.52 25.52 0 0 1-3.71 0h-16.83a29.08 29.08 0 0 1-8.32-.81l-4.33-.63-3.08-.63h-1.26l-2.44-.62h-1.72l-2-.54-2-.54H714l-2.81 1-2.71-.81h-2.35a52.38 52.38 0 0 1-6.05-2.26l-2.08-.81-4.88-3.26-8.23-4.52c-4.7-2.53-6.87-3.7-7.32-4.07a70.34 70.34 0 0 1-7.5-5.06l-11.3-7.68a89.37 89.37 0 0 0-43.84-10.67 119.42 119.42 0 0 0-24.14 2.53c-16.36 4.61-24 24.86-24 24.86a58.65 58.65 0 0 0-4.42 23.83z",
        fill: colorOpacity
      })), _react.default.createElement(_svgs.G, {
        id: "g4553"
      }, _react.default.createElement(_svgs.Path, {
        id: "path4555",
        d: "M750.74 1014.69h-1.26a13.55 13.55 0 0 1-12.57-9 56.95 56.95 0 0 0-104.94 0 10.41 10.41 0 0 1-.81 1.72v1.09a2.14 2.14 0 0 1-.64.63l-.81.72h-1.08l-2.08.63h-4.61a329 329 0 0 1-56.14-9.85v58.48l118.24 126 123.38-124.83v-55.5a334 334 0 0 1-56.68 9.94",
        fill: colorOpacity
      })), _react.default.createElement(_svgs.G, {
        id: "g4557"
      }, _react.default.createElement(_svgs.Path, {
        id: "path4559",
        d: "M750.74 1014.69h-1.26a13.55 13.55 0 0 1-12.57-9A56.93 56.93 0 0 0 684 971.4a57.64 57.64 0 0 0-45.2 23.05v145.34L684 1185l123.38-124.74v-55.5a334 334 0 0 1-56.68 9.94",
        fill: color
      })), _react.default.createElement(_svgs.G, {
        id: "g4561"
      }, _react.default.createElement("path", {
        id: "path4563",
        d: "M804 868.17l-2.25 1.17h-1l-2 .91h-2.08a119 119 0 0 1-17.53 6 92.11 92.11 0 0 1-9 1.9h-4.7l-4.52.54a25.52 25.52 0 0 1-3.71 0h-16.68a29.08 29.08 0 0 1-8.32-.81l-4.33-.63-3.08-.63h-1.26l-2.44-.62h-1.72l-2-.54-2-.54H714l-2.81 1-2.71-.9h-2.35a52.38 52.38 0 0 1-6.05-2.26L698 872l-4.88-3.17-8.23-4.52c-4.7-2.53-6.87-3.7-7.32-4.07a70.34 70.34 0 0 1-7.5-5.06l-11.3-7.68c-2.08-1.18-4.25-2.17-6.42-3.16a106.47 106.47 0 0 0-13.47 46.1v67.52a84.06 84.06 0 0 1 116.24 24.91c.85 1.32 1.67 2.65 2.44 4a229.24 229.24 0 0 0 50.17-10.57v-88.7a59.32 59.32 0 0 0-3.43-19.43",
        fill: color
      })), _react.default.createElement(_svgs.G, {
        id: "g4565"
      }, _react.default.createElement("path", {
        id: "path4567",
        d: "M754.81 781.39a210.61 210.61 0 0 1-4.88-36.15c-2.62-32.81-8.22-112.18-11.66-158.55s-18.08-15.69-61.56-18.08c0 49 0 181.78-9 239.27l3 1.44c42.57 23 89 11.85 84.42-27.66",
        fill: color
      })), _react.default.createElement(_svgs.G, {
        id: "g4569"
      }, _react.default.createElement("path", {
        id: "path4571",
        d: "M673.28 500.55c-3.89 7-8.14 23 3.16 49h59.21c2.44-1.54 26.3-17.35 9-49.35z",
        fill: color
      }))));
    }
  }]);

  return InnerSpinner;
}(_react.default.Component);

exports.default = InnerSpinner;
InnerSpinner.defaultProps = {
  color: _index.PRIMARY_COLOR,
  colorOpacity: "#f4cd66",
  colorBackground: "#fff"
};
InnerSpinner.propTypes = {
  /** Width of the logo SVG*/
  width: _propTypes.default.number.isRequired,

  /** Height of the logo SVG*/
  height: _propTypes.default.number.isRequired,

  /** Specifies the main color of vector graphic*/
  color: _propTypes.default.string,

  /** Specifies the secondary color of vector graphic*/
  colorOpacity: _propTypes.default.string,

  /** Specifies the background color of vector graphic*/
  colorBackground: _propTypes.default.string
};