"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _svgs = _interopRequireWildcard(require("svgs"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var LogoHopfenStop =
/*#__PURE__*/
function (_React$Component) {
  _inherits(LogoHopfenStop, _React$Component);

  function LogoHopfenStop() {
    _classCallCheck(this, LogoHopfenStop);

    return _possibleConstructorReturn(this, _getPrototypeOf(LogoHopfenStop).apply(this, arguments));
  }

  _createClass(LogoHopfenStop, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          width = _this$props.width,
          height = _this$props.height,
          color = _this$props.color;
      return _react.default.createElement(_svgs.default, {
        width: width,
        height: height,
        viewBox: "0 0 1500 1500"
      }, _react.default.createElement(_svgs.Path, {
        d: "M695.717 332h5.865c3.374-7 10.885-11.009 20.982-11.009S740.173 325 743.547 332h5.54c3.385-7 10.918-11.009 21.047-11.009 10.129 0 17.662 4.009 21.047 11.009h7.285c.436-1 1.007-1.703 1.756-2.589C807.413 320.91 821.2 296 780.003 296h-.405-65.368c-41.197 0-27.463 24.91-20.271 33.411.75.886 1.321 1.589 1.758 2.589z",
        fill: color
      }), _react.default.createElement(_svgs.Circle, {
        opacity: ".9",
        fill: color,
        cx: "1100.379",
        cy: "353.196",
        r: "37.666"
      }), _react.default.createElement(_svgs.Circle, {
        opacity: ".7",
        fill: color,
        cx: "1146.379",
        cy: "439.529",
        r: "28.666"
      }), _react.default.createElement(_svgs.Circle, {
        opacity: ".9",
        fill: color,
        cx: "451.971",
        cy: "318.662",
        r: "24.919"
      }), _react.default.createElement(_svgs.Circle, {
        opacity: ".8",
        fill: color,
        cx: "353.62",
        cy: "359.013",
        r: "28.665"
      }), _react.default.createElement(_svgs.Circle, {
        opacity: ".8",
        fill: color,
        cx: "381.865",
        cy: "428.768",
        r: "16.284"
      }), _react.default.createElement(_svgs.LinearGradient, {
        id: "a",
        gradientUnits: "userSpaceOnUse",
        x1: "668.452",
        y1: "507.43",
        x2: "818.711",
        y2: "507.43"
      }, _react.default.createElement(_svgs.Stop, {
        offset: "0",
        stopColor: color,
        stopOpacity: ".7"
      }), _react.default.createElement(_svgs.Stop, {
        offset: ".015",
        stopColor: color,
        stopOpacity: ".719"
      }), _react.default.createElement(_svgs.Stop, {
        offset: ".246",
        stopColor: color
      })), _react.default.createElement(_svgs.Path, {
        d: "M695.257 404.646s-11.104 147.352-14.374 195.088c-1.963 28.648-5.051 42.963-12.431 56.872 16.303-4.146 40.609-6.105 65.354 7.219 42.636 22.958 89.145 11.809 84.596-27.713-2.373-9.348-3.867-20.691-4.938-36.315-3.27-47.737-14.502-195.147-14.502-195.147S829.21 387 805.427 350h-21.271c-2.387 0-4.676-.819-6.364-2.508-1.688-1.688-2.636-3.913-2.636-6.299 0-.764-.137-1.007-.139-1.009-.174-.186-1.565-.952-4.884-.952-3.313 0-4.705.788-4.9.999.005 0-.122.157-.122.894 0 4.971-4.029 8.875-9 8.875h-19.595c-4.971 0-9-3.9-9-8.871 0-.786-.142-1.006-.143-1.008-.171-.176-1.549-.905-4.81-.905-3.253 0-4.632.773-4.828.979.006 0-.124.171-.124.926 0 4.971-4.029 8.879-9 8.879H688.74c-23.769 37 6.517 54.646 6.517 54.646z",
        opacity: ".75",
        fill: "url(#a)"
      }), _react.default.createElement(_svgs.Path, {
        d: "M909.377 525.021c-21.819-21.819-47.287-38.659-75.021-49.973 3.352 44.488 7.31 97.579 9.03 122.702 1.208 17.616 2.895 27.564 5.105 34.576l.148-.068s7 12.5 30.615 37.5c18.316 19.391 20.714 48.702 20.897 60.882.871 5.677.848 9.871.848 12.228v112.361c3-2.538 5.615-5.153 8.307-7.845 43.053-43.053 66.798-100.294 66.798-161.181 0-60.888-23.674-118.129-66.727-161.182zM595.49 734.873l-.351.385s-1.5-37.847 38.5-79.673l.059-.061c11.622-16.305 14.88-23.109 17.255-57.775 1.709-24.949 5.588-77.492 8.889-121.792-26.884 11.3-51.585 27.823-72.827 49.065-43.054 43.053-66.764 100.295-66.764 161.181 0 60.887 23.71 118.128 66.764 161.181a234.738 234.738 0 0 0 8.287 7.891l.021-111.891c-.102-2.002-.12-4.884.167-8.511z",
        opacity: ".5",
        fill: color
      }), _react.default.createElement(_svgs.G, {
        opacity: "0.75"
      }, _react.default.createElement(_svgs.LinearGradient, {
        id: "b",
        gradientUnits: "userSpaceOnUse",
        x1: "625.251",
        y1: "766.482",
        x2: "871.021",
        y2: "766.482"
      }, _react.default.createElement(_svgs.Stop, {
        offset: "0",
        stopColor: color,
        stopOpacity: ".7"
      }), _react.default.createElement(_svgs.Stop, {
        offset: ".015",
        stopColor: color,
        stopOpacity: ".719"
      }), _react.default.createElement(_svgs.Stop, {
        offset: ".246",
        stopColor: color
      })), _react.default.createElement(_svgs.Path, {
        d: "M625.307 831.269c10.769 4.183 28.317 7.873 49.658 10.447 14.818-26.032 42.457-42.372 72.971-42.372 30.505 0 58.127 16.374 72.939 42.437 21.49-2.577 39.125-6.3 50.125-10.524v-88.844s.508-7.215-3.461-19.38c-.762.377-1.495.751-2.248 1.104l-.96.461-1.964.917c-.022.011-.041.021-.063.03l-1.085.457-.927.389c-5.125 2.22-10.878 4.16-17.636 5.944l-.354.085c-2.914.696-5.927 1.416-8.998 1.893-.488.077-.975.163-1.46.249-1.069.188-2.175.382-3.296.495l-.144.018-4.52.507c-1.245.157-2.484.227-3.683.286-.383.019-.766.051-1.175.074-.437.02-.872.066-1.308.088-1.118.057-2.275.036-3.476.05l-4.533-.08h-.124l-2.345-.016c-.532-.021-1.063-.097-1.593-.137-.25-.019-.5-.005-.767-.022l-.825-.044c-2.737-.201-5.567-.402-8.288-.84l-4.366-.623-.055-.007a98.49 98.49 0 0 1-3.043-.591c-.423-.088-.845-.174-1.284-.262l-2.386-.499-1.774-.372c-.036-.007-.072-.016-.108-.025l-2.005-.538-2.038-.546-1.46-.402-2.467-.678a290.585 290.585 0 0 0-3.897-1.29l-1.218-.412c-2.125-.718-4.133-1.396-6.091-2.237-.702-.289-1.398-.569-2.088-.848-1.607-.647-3.127-1.26-4.633-1.943a2.078 2.078 0 0 1-.299-.167c-.541-.364-4.964-2.776-8.192-4.538-4.753-2.594-6.886-3.764-7.348-4.077l-.021-.015a60.945 60.945 0 0 1-7.515-5.119c-4.667-3.169-9.842-6.673-11.323-7.676l-.336-.228c-12.738-7.076-27.504-10.664-43.89-10.664-9.294 0-17.659 1.172-24.163 2.501-16.346 4.625-24.084 24.859-24.084 24.859-5.347 14.859-4.362 23.866-4.362 23.866z",
        fill: "url(#b)"
      }), _react.default.createElement(_svgs.LinearGradient, {
        id: "c",
        gradientUnits: "userSpaceOnUse",
        x1: "625.291",
        y1: "933.338",
        x2: "871",
        y2: "933.338"
      }, _react.default.createElement(_svgs.Stop, {
        offset: "0",
        stopColor: color,
        stopOpacity: ".7"
      }), _react.default.createElement(_svgs.Stop, {
        offset: ".015",
        stopColor: color,
        stopOpacity: ".719"
      }), _react.default.createElement(_svgs.Stop, {
        offset: ".246",
        stopColor: color
      })), _react.default.createElement(_svgs.Path, {
        d: "M814.299 869.664c-.455.045-.875.067-1.323.067-5.607 0-10.534-3.481-12.528-8.562-.002-.004.005-.008.003-.012a56.92 56.92 0 0 0-52.519-34.814c-22.999 0-43.594 13.674-52.533 34.853a13.165 13.165 0 0 1-.841 1.705c-.071.125-.139.253-.214.374-.101.162-.208.318-.315.476-.111.164-.224.326-.341.484a13.191 13.191 0 0 1-.747.913c-.094.104-.187.21-.282.312-.192.203-.393.396-.596.586-.068.063-.134.131-.203.193-.273.243-.555.475-.846.694-.101.076-.206.145-.31.219-.192.137-.387.272-.586.399-.146.093-.295.181-.444.268a13.758 13.758 0 0 1-1.004.534c-.148.071-.301.136-.452.201-.665.288-1.354.523-2.066.702-.171.043-.341.086-.514.122a13.98 13.98 0 0 1-1.181.192c-.15.018-.3.037-.452.05-.38.032-.761.054-1.145.054-.447 0-.896-.024-1.346-.069-16.925-1.703-38.667-4.713-56.213-9.872l-.011 58.525 122.251 122 .27.073L871 915.258v-55.539c-18 5.221-39.686 8.246-56.701 9.945z",
        fill: "url(#c)"
      })), _react.default.createElement(_svgs.Path, {
        fill: color,
        d: "M814.299 869.664c-.455.045-.875.067-1.323.067-5.607 0-10.534-3.481-12.528-8.562-.002-.004.005-.008.003-.012-8.945-21.148-29.628-34.814-52.589-34.814-18.374 0-34.861 8.733-45.861 23.042v145.563l45.472 45.309.305.073L871 915.258v-55.539c-18 5.221-39.686 8.246-56.701 9.945z"
      }), _react.default.createElement(_svgs.Path, {
        fill: color,
        d: "M867.539 723.032c-.762.377-1.495.751-2.248 1.104l-.96.461-1.964.917c-.022.011-.041.021-.063.03l-1.085.457-.927.389c-5.125 2.22-10.878 4.16-17.636 5.944l-.354.085c-2.914.696-5.927 1.416-8.998 1.893-.488.077-.975.163-1.46.249-1.069.188-2.175.382-3.296.495l-.144.018-4.52.507c-1.245.157-2.484.227-3.683.286-.383.019-.766.051-1.175.074-.437.02-.872.066-1.308.088-1.118.057-2.275.036-3.476.05l-4.533-.079h-.124l-2.345-.016c-.532-.021-1.063-.097-1.593-.137-.25-.019-.5-.005-.767-.022l-.825-.044c-2.737-.201-5.567-.402-8.288-.84l-4.366-.623-.055-.007a98.49 98.49 0 0 1-3.043-.591c-.423-.088-.845-.174-1.284-.262l-2.386-.499-1.774-.372c-.036-.007-.072-.016-.108-.025l-2.005-.538-2.038-.546-1.46-.402-2.467-.678a290.585 290.585 0 0 0-3.897-1.29l-1.218-.412c-2.125-.718-4.133-1.396-6.091-2.237-.702-.289-1.398-.569-2.088-.848-1.607-.647-3.127-1.26-4.633-1.943a2.078 2.078 0 0 1-.299-.167c-.541-.364-4.964-2.776-8.192-4.538-4.753-2.594-6.886-3.764-7.348-4.077l-.021-.015a60.945 60.945 0 0 1-7.515-5.119c-4.667-3.169-9.842-6.673-11.323-7.676l-.336-.228c-2.08-1.156-4.291-2.209-6.477-3.178C702.328 721.098 702 745.257 702 745.257v67.633c13-8.664 29.201-13.547 45.866-13.547a83.793 83.793 0 0 1 72.975 42.437c21.49-2.577 39.159-6.3 50.159-10.524v-88.844s.508-7.215-3.461-19.38zM818.402 636.119c-2.373-9.348-3.867-20.695-4.938-36.319-2.24-32.709-8.219-112.146-11.761-158.924l.004.055s-17.945-15.715-61.628-18.041c.356 49.05.361 181.947-9.2 239.452.975.479 1.95.972 2.927 1.498 42.636 22.959 89.145 11.802 84.596-27.721zM736.747 355c-3.904 7-8.182 23 3.143 49h59.25l.027.394c2.469-1.586 26.354-17.394 9.254-49.394h-71.674z"
      }), _react.default.createElement(_svgs.Path, {
        d: "M1009.191 1166.258c7.365-3.796 14.265-8.398 19.581-14.318 7.075-7.878 9.252-17.66 4.371-27.107-5.492-10.633-18.168-17.581-28.921-22.632-17.755-8.339-37.111-13.657-56.323-18.046-22.049-5.038-44.481-8.55-66.984-11.273l-32.932 33.012c20.146 3.027 41.082 7.063 59.419 15.559 5.098 2.36 11.069 5.617 14.079 9.818 2.274 3.175 2.056 5.146-.327 8.471-3.016 4.211-9.55 7.417-14.614 9.763-8.595 3.981-17.916 6.605-27.14 8.932-13.842 3.49-27.966 5.979-42.191 7.823-96.598 6.666-173.308 0-173.308 0-15.114-1.979-30.117-4.692-44.813-8.479-8.996-2.317-17.939-5.107-26.277-9.078-5.021-2.391-10.7-5.612-13.539-9.873-1.502-2.253-1.571-3.514-.659-5.989.742-2.009 4.027-4.987 6.786-6.841 10.599-7.121 23.849-10.75 36.259-13.88 8.578-2.163 17.269-3.968 26.028-5.497l-33.29-33.357c-31.831 3.937-63.438 9.912-93.547 19.624-20.274 6.539-59.861 20.101-55.315 46.565 1.846 10.744 12.713 18.648 21.825 24.017 1.645.969 3.322 1.893 5.021 2.788 0 0 66.763 39.999 258.094 39.999s258.717-40.001 258.717-40.001z",
        opacity: ".8",
        fill: color
      }), _react.default.createElement(_svgs.Path, {
        d: "M1129.143 778.933c-1.386-7.274-4.161-14.479-9.28-19.966-3.233-3.467-6.139-7.261-8.779-11.192-11.682-17.39-18.578-37.537-18.742-58.572 0-.098-.013-.193-.033-.285.206-19.294 6.032-38.139 16.309-54.448 6.111-9.701 15.758-17.786 19.105-28.993 1.266-4.234 2.066-8.621 2.251-13.043.069-1.681.568-4.489-.214-6.084-2.711-5.526-6.596-10.823-11.174-14.935-8.416-7.558-19.046-9.449-28.871-14.46-18.035-9.198-33.36-22.845-43.652-40.369-.015-.026-.035-.046-.052-.071-2.421-4.289-4.635-8.706-6.366-13.324-6.904-18.402-8.919-39.102-5.014-58.444 1.332-6.602 1.718-13.07-.072-19.692-1.328-4.913-3.626-13.862-8.331-16.796-7.395-4.611-16.419-8.012-25.229-7.831-4.921.101-9.487 1.422-14.33 2.091-22.645 3.13-45.999-.711-66.056-11.783a1.333 1.333 0 0 0-.456-.452c-16.412-9.64-29.718-23.813-38.746-40.544-5.023-9.308-7.229-20.576-13.611-29.047-4.221-5.603-10.079-10.295-16.289-13.543-3.522-1.841-8.934-1.033-13.109-.223.15 2.034.108 4.104-.164 6.199-1.05 8.069-2.705 15.683-6.298 22.794 7.854 11.114 11.914 26.179 12.533 38.503.673 13.406-3.575 26.864-11.205 37.975 116.174 36.564 200.432 145.128 200.432 273.38 0 81.347-33.902 154.773-88.34 206.935l-198.22 198.219-198.221-198.219c-54.438-52.162-88.34-125.588-88.34-206.935 0-128.217 84.213-236.756 200.341-273.351-7.601-10.924-12.007-24.142-11.254-37.169.719-12.452 4.63-28.058 12.555-39.465-2.028-3.887-3.79-8.01-4.744-12.225-1.297-5.724-1.638-11.268-1.063-16.537-4.238-.841-9.968-1.803-13.643.118-6.21 3.248-12.068 7.941-16.289 13.543-6.382 8.472-8.588 19.74-13.611 29.047-9.029 16.732-22.334 30.904-38.747 40.544a1.35 1.35 0 0 0-.456.452c-20.056 11.071-43.41 14.913-66.055 11.783-4.843-.669-9.409-1.99-14.33-2.091-8.811-.182-17.835 3.22-25.229 7.831-4.705 2.934-7.003 11.883-8.331 16.796-1.79 6.623-1.404 13.09-.072 19.692 3.904 19.342 1.891 40.042-5.014 58.444-1.731 4.618-3.945 9.035-6.366 13.324-.017.025-.037.045-.052.071-10.292 17.523-25.617 31.17-43.652 40.369-9.825 5.011-20.455 6.902-28.871 14.46-4.578 4.112-8.463 9.408-11.175 14.935-.781 1.595-.283 4.403-.213 6.084.184 4.422.985 8.809 2.251 13.043 3.347 11.207 12.994 19.292 19.105 28.993 10.276 16.309 16.103 35.154 16.308 54.448a1.277 1.277 0 0 0-.032.285c-.164 21.035-7.061 41.182-18.742 58.572-2.641 3.931-5.546 7.725-8.78 11.192-5.118 5.486-7.894 12.691-9.279 19.966-.852 4.466-2.114 10.716.142 14.925 3.482 6.494 8.413 12.189 14.288 16.615 3.879 2.923 8.154 4.409 12.631 5.957 5.635 1.946 11.048 4.508 16.268 7.377 16.388 9.016 30.253 22.16 39.734 38.306.113.192.271.342.451.454 11.072 20.059 14.913 43.414 11.784 66.059-.669 4.844-1.991 9.41-2.092 14.332-.181 8.811 3.22 17.834 7.831 25.229 2.934 4.705 11.883 7.002 16.796 8.332 6.622 1.789 13.09 1.402 19.692.07 0 0 49.716-9.77 81.483 21.998 19.346 19.346 75.569 75.539 116.58 116.525l.083-.148c11.805 12.768 28.2 19.375 46.331 19.375 18.132 0 34.526-6.607 46.331-19.375l.109.123c41.009-40.984 97.211-97.158 116.554-116.5 31.768-31.768 81.483-22.039 81.483-22.039 6.603 1.332 13.07 1.738 19.692-.051 4.913-1.328 13.862-3.617 16.796-8.32 4.611-7.396 8.012-16.414 7.831-25.225-.102-4.922-1.423-9.484-2.092-14.328-3.13-22.645.712-46 11.784-66.058.18-.112.338-.261.451-.455 9.481-16.144 23.347-29.289 39.734-38.304 5.219-2.869 10.632-5.431 16.268-7.377 4.477-1.548 8.752-3.034 12.631-5.957 5.875-4.426 10.806-10.121 14.287-16.615 2.257-4.209.994-10.459.143-14.924z",
        fill: color
      }));
    }
  }]);

  return LogoHopfenStop;
}(_react.default.Component);

exports.default = LogoHopfenStop;
LogoHopfenStop.propTypes = {
  /** Width of the logo SVG*/
  width: _propTypes.default.number.isRequired,

  /** Height of the logo SVG*/
  height: _propTypes.default.number.isRequired,

  /** Specifies color of vector graphic*/
  color: _propTypes.default.string.isRequired
};